Zum Hauptinhalt springen
PUT
/
v2
/
contacts
/
{id}
Replace contact
curl --request PUT \
  --url https://api.telli.com/v2/contacts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "phoneNumber": "<string>",
  "externalId": "<string>",
  "externalUrl": "<string>",
  "salutation": "<string>",
  "timezoneIana": "<string>",
  "email": "<string>",
  "properties": []
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "<unknown>",
  "externalId": "<string>",
  "externalUrl": "<string>",
  "salutation": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "phoneNumber": "<string>",
  "timezoneIana": "<string>",
  "email": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "properties": [
    {
      "key": "<string>",
      "dataType": "string",
      "value": "<unknown>",
      "label": "<string>",
      "options": [
        {
          "value": "<string>",
          "label": "<string>",
          "description": "<string>"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.telli.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

API key authentication. Use your telli API key as the bearer token.

Pfadparameter

id
string<uuid>
erforderlich

Body

application/json
firstName
string
erforderlich
Required string length: 1 - 50
lastName
string
erforderlich
Required string length: 1 - 50
phoneNumber
string
erforderlich
Required string length: 1 - 20
externalId
string | null
Minimum string length: 1
externalUrl
string<uri> | null
salutation
string | null
timezoneIana
string | null
email
string | null
properties
object[]

Antwort

OK

id
string<uuid>
erforderlich
type
any
erforderlich
externalId
string | null
erforderlich
externalUrl
string | null
erforderlich
salutation
string | null
erforderlich
firstName
string
erforderlich
lastName
string
erforderlich
phoneNumber
string
erforderlich
timezoneIana
string | null
erforderlich
email
string | null
erforderlich
createdAt
string<date-time>
erforderlich
updatedAt
string<date-time>
erforderlich
properties
object[]
erforderlich